Skip to main content
PUT
/
surveys
/
{survey_id_or_slug}
Update survey details
curl --request PUT \
  --url https://api.questra.ai/surveys/{survey_id_or_slug} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Org-Id: <x-org-id>' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "order": 1
}
'
{
  "id": "<string>",
  "slug": "<string>",
  "name": "<string>",
  "user_id": "<string>",
  "org_id": "<string>",
  "first_page_id": "<string>",
  "locked": false,
  "paid_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "programmed_from_file_id": "<string>",
  "programming_started_at": "2023-11-07T05:31:56Z",
  "programming_completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

survey_id_or_slug
string
required

Unique ID or slug for the survey to update

Body

application/json
name
string

A new, human-readable name for the survey

slug
string

A new, unique slug for the survey

Pattern: ^[a-zA-Z][a-zA-Z0-9_-]*[a-zA-Z]$
order
integer
Required range: x >= 0

Response

id
string
required

Unique ID for the survey

slug
string
required

Unique slug used for survey URLs

name
string
required

Human-readable name for the survey

user_id
string
required

Unique ID of the user who owns the survey

org_id
string
required

Unique ID of the organization who owns the survey

first_page_id
string
required

Unique ID of the first page of the survey

locked
boolean
default:false
required

Whether or not the survey is locked by an AI agent for updates

paid_at
string<date-time>
required

Date and time the survey was paid for. Surveys that haven't been paid for cannot be exported.

created_at
string<date-time>
required

Date and time the survey was created

updated_at
string<date-time>
required

Date and time the survey was updated

programmed_from_file_id
string

Unique ID of the file the survey was programmed from

programming_started_at
string<date-time>

Date and time the survey began programming

programming_completed_at
string<date-time>

Date and time the survey finished programming